Skip to main content
GET /agents/{id} Retrieve a specific agent by ID.

Code Examples

curl --request GET \
  --url 'https://api.tess.im/agents/{id}' \
  --header 'Authorization: Bearer YOUR_API_KEY'

Headers

ParameterTypeRequiredDescription
x-workspace-idintegerNoID of the workspace. If not provided, the user’s selected workspace will be used.
Note: This field will be required in a future release of the API. It is highly recommended to set it now to ensure compatibility with future updates.

Path Parameters

ParameterTypeRequiredDescription
idintegerYesThe agent ID

Response

{
"id": 8794,
"title": "Tess AI - API Docs Helper",
"description": null,
"long_description": null,
"workspace_id": 11,
"visibility": "public",
"slug": "tess-ai-docs-helper-pB9ujA",
"active": 1,
"type": "chat",
"questions": [
  {
    "type": "select",
    "name": "temperature",
    "description": "Let Tess know if you want her to be more objective or more creative with her responses.",
    "required": true,
    "options": [
      "0",
      "0.25",
      "0.5",
      "0.75",
      "1"
    ]
  },
  {
    "type": "select",
    "name": "model",
    "description": "Choose the Model version",
    "required": true,
    "options": [
      "gpt-4o-mini",
      "gpt-4o",
      "tess-5",
      "tess-ai-3",
      "gpt-o1-preview",
      "gpt-o1-mini",
      "gemini-2.0-flash",
      "gemini-1.5-flash",
      "gemini-1.5-pro",
      "claude-3-5-haiku-latest",
      "claude-3-5-sonnet-20240620",
      "claude-3-5-sonnet-latest",
      "claude-3-opus-20240229",
      "meta-llama-3.1-405b-instruct",
      "meta-llama-3-70b-instruct",
      "meta-llama-3-8b-instruct",
      "cohere-command-r",
      "cohere-command-r-plus",
      "gpt-3.5-turbo",
      "gpt-4-turbo",
      "claude-3-haiku-20240307",
      "claude-3-sonnet-20240229",
      "gemini-1.0-pro",
      "llama-2-13b-chat",
      "llama-2-70b-chat"
    ]
  },
  {
    "type": "select",
    "name": "tools",
    "description": "Choose the Model version",
    "required": true,
    "options": [
      "no-tools",
      "internet",
      "twitter",
      "wikipedia",
      "quora",
      "reddit",
      "medium",
      "linkedin",
      "instagram",
      "facebook"
    ]
  },
  {
    "type": "number",
    "name": "root_id",
    "description": "The stored session id to continue conversation.",
    "required": false
  },
  {
    "type": "array",
    "name": "messages",
    "description": "Chat history messages",
    "required": true
  }
],
"created_at": "2025-01-05T18:09:18.000000Z",
"updated_at": "2025-01-05T18:45:31.000000Z",
"created_by": 13
}